package init_serve

import (
	_ "gn/gn_email_listen/docs"
	"gn/gn_email_listen/global"
	"gn/gn_email_listen/middleware"
	"gn/gn_email_listen/routers"

	"github.com/gin-gonic/gin"
)

// InitRouter 初始化路由
func InitRouter() *gin.Engine {
	gin.SetMode(global.CONFIG.Serve.RunMode)

	gin.Default()
	r := gin.New()
	r.Use(middleware.Cors())
	r.Use(middleware.Recover())
	r.Use(gin.Logger())

	rBase := r.Group("api/")
	routers.InitAuth(rBase)
	//routers.InitXiangyu(rBase)
	return r
}
